Bug 245054 - eclipse-ecj and ecj do not coexist
eclipse-ecj and ecj do not coexist
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: eclipse (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Alexander Kurtakov
desktop-bugs@redhat.com
http://marc.info/?l=jpackage-discuss&...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-20 15:05 EDT by rob
Modified: 2013-03-11 15:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 15:50:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rob 2007-06-20 15:05:52 EDT
Description of problem:

JPackage17 expects an rpm that provides ecj to also provide
/usr/share/java/ecj.jar.  The eclipse-ecj rpm provides ecj, but does not provide
this file.

When I try to install both eclipse-ecj and ecj to get ecj.jar and
eclipse-ecj.jar, I discover that they cannot coexist.

# yum install ecj
---> Package eclipse-ecj.x86_64 1:3.2.1-18.el5 set to be updated
--> Running transaction check
--> Processing Dependency: eclipse-ecj = 1:3.2.1-18.el5 for package: eclipse-jdt
--> Finished Dependency Resolution
Error: Missing Dependency: eclipse-ecj = 1:3.2.1-18.el5 is needed by package
eclipse-jdt

Expected results:
I expect to be able to install an rpm that provides /usr/share/java/ecj.jar from
either JPackage17 or from RHEL5.

Additional info:
If I understood overholt correctly, eclipse-ecj was designed to coexist with
ecj.  This does not appear to be the present reality.

I created the bug here (rather than with JPackage) because I think that an rpm
that provides ecj should also provide /usr/share/java/ecj.jar.

How can this be resolved?  Do we need alternatives for ecj?
Comment 1 Andrew Overholt 2007-06-21 09:50:50 EDT
This is because we have an unversioned provide on ecj in the eclipse-ecj package:

Obsoletes:      ecj
Provides:       ecj

We've fixed this in Fedora 7 like so:

Obsoletes:      ecj <= 2.1.3
Provides:       ecj <= 2.1.3

This fix should go into RHEL-5 as soon as we can get it there.
Comment 2 Alexander Kurtakov 2013-03-11 15:50:41 EDT
RHEL 5 has ended Production Phase 1 and thus only security bugfixes from this point on. Please use Eclipse from RHEL 6 if you need newer Eclipse version.

Note You need to log in before you can comment on or make changes to this bug.